import java.awt.Color;
import java.awt.event.KeyEvent;
import java.awt.geom.Arc2D;
import java.awt.geom.Area;

import edu.umd.cs.piccolo.PNode;
import edu.umd.cs.piccolo.event.PBasicInputEventHandler;
import edu.umd.cs.piccolo.event.PInputEvent;
import edu.umd.cs.piccolo.nodes.PPath;
import edu.umd.cs.piccolo.util.PDimension;

public class Root {

	private int centerX = 300;
	private int centerY = 300;
	private int radius = 50;
	private Area rootArc;
	
	public Root(int radius) {
		this.radius = radius;
	}
	
	public void setCenter(int x, int y) {
		this.centerX = x;
		this.centerY = y;
	}
	
	public int getCenterX(int x) {
		return this.centerX;
	}
	
	public int getCenterY(int y) {
		return this.centerY;
	}
	
	public void createRoot(int radius) {
		this.radius = radius;
		
		int x = centerX - radius/2;
		int y = centerY - radius/2;
		
		Arc2D arc1 = new Arc2D.Double(x, y, radius, radius, 0, 360, Arc2D.PIE);
		this.rootArc = new Area(arc1);
	}
}