import java.io.*;
import java.util.*;


public class FileObject {
	
	private String filename;
	private long filesize;
	private double filePercentage;
	private File file;

	public FileObject(File file) {
		this.file = file;
		getFileInfos();
	}
	
	private void getFileInfos() {
		this.filename = file.getName();
		this.filesize = file.length();
	}
	
	public String getFileName() {
		return this.filename;
	}
	
	public long getFileSize() {
		return this.filesize;
	}
	
	public void setFilePercentage(double percentage) {
		this.filePercentage = percentage;
	}
	
	public double getFilePercentage() {
		return this.filePercentage;
	}
	
}
